import { IRequestDto } from "../../tgMdk/IRequestDto";
import { AbstractPaymentRequestDto } from "../AbstractPaymentRequestDto";
import { PaypayProductDto } from "./PaypayProductDto";
export declare class PaypayAuthorizeRequestDto extends AbstractPaymentRequestDto implements IRequestDto {
    readonly serviceType: string;
    readonly serviceCommand: string;
    orderId: string;
    serviceOptionType: string;
    accountingType: string;
    oneTimeCode: string;
    amount: string;
    withCapture: string;
    storeId: string;
    terminalId: string;
    receiptNumber: string;
    settleBizCode: string;
    itemName: string;
    itemId: string;
    successUrl: string;
    cancelUrl: string;
    errorUrl: string;
    pushUrl: string;
    orderDescription: string;
    storeInfo: string;
    userAgent: string;
    isTransitionResultUrl: string;
    provider: string;
    transitionType: string;
    extendParameterType: string;
    private _maskedLog;
    onlinePaymentType: string;
    products: PaypayProductDto[];
    voucherAmount: string;
    get maskedLog(): string;
    set maskedLog(value: string);
}
